package org.springblade.flow.visual.onlinedev.common.dynamic;

import java.util.LinkedHashMap;
import java.util.Set;

/**
 * 表每一行的数据，key是字段，value是每个字段数据
 * 
 * @author William
 * @date 2022年9月26日 上午10:54:24
 */
public class TableRowData extends LinkedHashMap<String, TableFieldData> {
	private static final long serialVersionUID = 1L;

	public TableRowData() {
	}

	public void add(String field, TableFieldData data) {
		this.put(field, data);
	}
	
	public Set<String> getFieldList() {
		return this.keySet();
	}

	public TableFieldData getData(String field) {
		return get(field);
	}

}
